summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 2e2bd5170..d00102683 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -41,19 +41,25 @@ fi
# Check for libtoolize or glibtoolize
env libtoolize --version > /dev/null 2>&1
-if [ $? = 0 ]; then
+if [ $? -eq 0 ]; then
# libtoolize was found, so use it
TOOL=libtoolize
else
# libtoolize wasn't found, so check for glibtoolize
env glibtoolize --version > /dev/null 2>&1
- if [ $? = 0 ]; then
+ if [ $? -eq 0 ]; then
TOOL=glibtoolize
else
MISSING="$MISSING libtoolize/glibtoolize"
fi
fi
+# Check for pkg-config
+env pkg-config --version > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ MISSING="$MISSING pkg-config"
+fi
+
## If dependencies are missing, warn the user and abort
if [ "x$MISSING" != "x" ]; then
echo "Aborting."